View Issue Details

IDProjectCategoryView StatusLast Update
0031340Open CASCADEOCCT:Application Frameworkpublic2021-04-12 14:51
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031340: Application Framework - LDOM fails to read XML file starting with BOM
DescriptionIf XML file has BOM (Byte Order Mark) in the beginning, LDOM_XmlReader fails to find any XML data inside it, and returns empty document. Sample file is attached
Steps To ReproduceIn DRAW:

pload QAcommands
OCC983 DataDict_withBOM.xml

current output:
Document not parsed

expected output:
Document parsed
   RootName = datadictionary
       AttributeName = version
       AttributeValue = 3.0
   ElementName = component
       AttributeName = name
       AttributeValue = Input data

Added test:
bugs fclasses bug31340
TagsNo tags attached.
Test case numberbugs/fclasses/bug31340

Attached Files

  • DataDict_withBOM.xml (203 bytes)

Relationships

parent of 0031841 closedbugmaster Community Coding Rules, LDOM_XmlReader - eliminate new CLang compiler warning -Wtautological-overlap-compare 
child of 0022484 closedbugmaster Open CASCADE UNICODE characters support. 

Activities

abv

2020-01-31 18:18

manager  

DataDict_withBOM.xml (203 bytes)

git

2020-09-02 13:50

administrator   ~0093865

Branch CR31340 has been created by mpv.

SHA-1: 77c83920ca1f2b25859a20c98aee857f33fe298c


Detailed log of new commits:

Author: mpv
Date: Wed Sep 2 13:53:07 2020 +0300

    0031340: LDOM fails to read XML file starting with BOM
    
    Added support of BOM (byte order mask) characters at the start of an XML stream or file and provided information about found BOM in LDOMParser.

mpv

2020-09-02 20:43

developer   ~0093936

Fixed with possibility to get BOM information from the LDOM parser. Please, review.

mpv

2020-09-02 20:44

developer   ~0093937

http://occt-tests/CR31340-master-MPV-OCCT/Debian80-64/diff_summary.html
http://occt-tests/CR31340-master-MPV-Products/Debian80-64/diff_summary.html
http://occt-tests/CR31340-master-MPV-OCCT/Windows-64-VC14/diff_summary.html
http://occt-tests/CR31340-master-MPV-Products/Windows-64-VC14/diff_summary.html

szy

2020-09-03 14:30

manager   ~0093982

Reviewed.

git

2020-09-04 11:22

administrator   ~0094008

Branch CR31340 has been updated by mpv.

SHA-1: 1f0953e17d7129546c27dbcee734c7cab0121fc0


Detailed log of new commits:

Author: mpv
Date: Fri Sep 4 11:25:24 2020 +0300

    # fix for the VS !=141 compilation

git

2020-09-04 15:34

administrator   ~0094015

Branch CR31340 has been updated by mpv.

SHA-1: 66a65fd62da06af4cc08b4c102e68490dfc7779c


Detailed log of new commits:

Author: mpv
Date: Fri Sep 4 15:36:43 2020 +0300

    # removed warnings of compilation for Android

bugmaster

2020-09-05 12:10

administrator   ~0094068

Combination -
OCCT branch : IR-2020-09-04
master SHA - a516227511f3452f9f55b79c961265b0bf210793
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-04 SHA - 134448d280fb82bfb14ffc6255ac1cb53f7fd1cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17319.18000000012 / 17284.370000000214 [+0.20%]
Products
Total CPU difference: 12059.670000000087 / 12007.590000000067 [+0.43%]
Windows-64-VC14:
OCCT
Total CPU difference: 18776.390625 / 18770.796875 [+0.03%]
Products
Total CPU difference: 13251.640625 / 13222.90625 [+0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-09-05 12:34

administrator   ~0094074

Branch CR31340 has been deleted by inv.

SHA-1: 66a65fd62da06af4cc08b4c102e68490dfc7779c

Related Changesets

occt: master 8f34d47e

2020-09-02 10:53:07

mpv


Committer: bugmaster Details Diff
0031340: LDOM fails to read XML file starting with BOM

Added support of BOM (byte order mask) characters at the start of an XML stream or file and provided information about found BOM in LDOMParser.
Affected Issues
0031340
mod - src/LDOM/LDOMParser.cxx Diff File
mod - src/LDOM/LDOMParser.hxx Diff File
mod - src/LDOM/LDOM_OSStream.hxx Diff File
mod - src/LDOM/LDOM_XmlReader.cxx Diff File
mod - src/LDOM/LDOM_XmlReader.hxx Diff File
mod - src/QABugs/QABugs_14.cxx Diff File
add - tests/bugs/fclasses/bug31340 Diff File

Issue History

Date Modified Username Field Change
2020-01-31 18:18 abv New Issue
2020-01-31 18:18 abv Assigned To => mpv
2020-01-31 18:18 abv File Added: DataDict_withBOM.xml
2020-09-02 13:50 git Note Added: 0093865
2020-09-02 14:20 kgv Summary LDOM fails to read XML file starting with BOM => Application Framework - LDOM fails to read XML file starting with BOM
2020-09-02 20:43 mpv Note Added: 0093936
2020-09-02 20:43 mpv Assigned To mpv => szy
2020-09-02 20:43 mpv Status new => resolved
2020-09-02 20:43 mpv Steps to Reproduce Updated
2020-09-02 20:44 mpv Note Added: 0093937
2020-09-03 14:30 szy Note Added: 0093982
2020-09-03 14:30 szy Assigned To szy => bugmaster
2020-09-03 14:30 szy Status resolved => reviewed
2020-09-04 11:22 git Note Added: 0094008
2020-09-04 15:34 git Note Added: 0094015
2020-09-05 12:10 bugmaster Note Added: 0094068
2020-09-05 12:10 bugmaster Status reviewed => tested
2020-09-05 12:24 bugmaster Test case number => bugs/fclasses/bug31340
2020-09-05 12:25 bugmaster Changeset attached => occt master 8f34d47e
2020-09-05 12:25 bugmaster Status tested => verified
2020-09-05 12:25 bugmaster Resolution open => fixed
2020-09-05 12:34 git Note Added: 0094074
2020-10-12 17:31 kgv Relationship added parent of 0031841
2020-10-14 12:02 kgv Relationship added child of 0022484
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed